> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.neural-motion.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an episode



## OpenAPI

````yaml /openapi.json get /api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index}
openapi: 3.1.0
info:
  title: NMotion Data Platform API (developer)
  version: 0.1.0
  description: >-
    The stable HTTP surface of the NMotion data platform for CLI, SDK, and
    automation clients.
servers:
  - url: https://platform.neural-motion.org
    description: Production
  - url: https://dev.platform.neural-motion.org
    description: Dev channel
security: []
tags:
  - name: Platform
    description: Version and service metadata.
  - name: Catalog
    description: Browse the public dataset catalog.
  - name: Users and tokens
    description: Identity and personal access tokens.
  - name: Projects
    description: Navigate organizations and projects.
  - name: Project datasets
    description: Datasets, manifests, and episodes inside a project.
  - name: Imports
    description: Bring data into a project.
  - name: Exports
    description: Derived dataset versions and export jobs.
paths:
  /api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index}:
    get:
      tags:
        - Catalog
      summary: Get an episode
      operationId: >-
        get_episode_catalog_v1_api_v1_catalog_datasets__dataset_id__episodes__episode_index__get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: episode_index
          in: path
          required: true
          schema:
            type: integer
            title: Episode Index
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EpisodeManifestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security: []
components:
  schemas:
    EpisodeManifestResponse:
      properties:
        item:
          $ref: '#/components/schemas/EpisodeManifest'
      type: object
      required:
        - item
      title: EpisodeManifestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EpisodeManifest:
      properties:
        schema_version:
          type: string
          const: 1.0.0
          title: Schema Version
          default: 1.0.0
        kind:
          type: string
          const: episode_manifest
          title: Kind
          default: episode_manifest
        dataset_id:
          type: string
          title: Dataset Id
        episode_index:
          type: integer
          title: Episode Index
        frame_count:
          type: integer
          title: Frame Count
        duration_sec:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Sec
        fps:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Fps
        dataset_from_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dataset From Index
        dataset_to_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dataset To Index
        tasks:
          items:
            type: string
          type: array
          title: Tasks
        player:
          $ref: '#/components/schemas/EpisodePlayerManifest'
        plot:
          $ref: '#/components/schemas/PlotManifest'
        tabs:
          $ref: '#/components/schemas/EpisodeTabsManifest'
      type: object
      required:
        - dataset_id
        - episode_index
        - frame_count
        - player
        - plot
        - tabs
      title: EpisodeManifest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EpisodePlayerManifest:
      properties:
        primary_stream_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Stream Key
        collage_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Collage Url
        video_streams:
          items:
            $ref: '#/components/schemas/VideoStreamManifest'
          type: array
          title: Video Streams
      type: object
      title: EpisodePlayerManifest
    PlotManifest:
      properties:
        traces:
          items:
            $ref: '#/components/schemas/PlotTraceManifest'
          type: array
          title: Traces
        y_axis_label:
          type: string
          title: Y Axis Label
          default: state
      type: object
      title: PlotManifest
    EpisodeTabsManifest:
      properties:
        general:
          $ref: '#/components/schemas/GeneralTabManifest'
        observation:
          $ref: '#/components/schemas/ObservationTabManifest'
        action:
          $ref: '#/components/schemas/ActionTabManifest'
        annotation:
          $ref: '#/components/schemas/AnnotationTabManifest'
        dataset:
          $ref: '#/components/schemas/DatasetTabManifest'
        export:
          $ref: '#/components/schemas/ExportTabManifest'
      type: object
      required:
        - general
        - observation
        - action
        - annotation
        - dataset
        - export
      title: EpisodeTabsManifest
    VideoStreamManifest:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        url:
          type: string
          title: Url
        from_timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: From Timestamp
        to_timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: To Timestamp
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        fps:
          anyOf:
            - type: number
            - type: 'null'
          title: Fps
        codec:
          anyOf:
            - type: string
            - type: 'null'
          title: Codec
      type: object
      required:
        - key
        - label
        - url
      title: VideoStreamManifest
    PlotTraceManifest:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        group:
          type: string
          title: Group
          default: state
        dimension_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dimension Index
        values:
          items:
            type: number
          type: array
          title: Values
        timestamps:
          items:
            type: number
          type: array
          title: Timestamps
      type: object
      required:
        - key
        - label
      title: PlotTraceManifest
    GeneralTabManifest:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        dataset_title:
          type: string
          title: Dataset Title
        episode_index:
          type: integer
          title: Episode Index
        source_label:
          type: string
          title: Source Label
        source_locator:
          type: string
          title: Source Locator
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        work_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Work Name
        task_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Name
        frame_count:
          type: integer
          title: Frame Count
        duration_sec:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Sec
        fps:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Fps
        tasks:
          items:
            type: string
          type: array
          title: Tasks
        language_instruction:
          anyOf:
            - type: string
            - type: 'null'
          title: Language Instruction
      type: object
      required:
        - dataset_id
        - dataset_title
        - episode_index
        - source_label
        - source_locator
        - frame_count
      title: GeneralTabManifest
    ObservationTabManifest:
      properties:
        fps:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Fps
        cameras:
          items:
            $ref: '#/components/schemas/CameraManifest'
          type: array
          title: Cameras
        state:
          anyOf:
            - $ref: '#/components/schemas/StateSpaceManifest'
            - type: 'null'
      type: object
      title: ObservationTabManifest
    ActionTabManifest:
      properties:
        robot_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Robot Type
        embodiment:
          anyOf:
            - type: string
            - type: 'null'
          title: Embodiment
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionSpaceManifest'
            - type: 'null'
        spatial_views:
          items:
            $ref: '#/components/schemas/SpatialViewManifest'
          type: array
          title: Spatial Views
      type: object
      title: ActionTabManifest
    AnnotationTabManifest:
      properties:
        available:
          type: boolean
          title: Available
        tasks:
          items:
            type: string
          type: array
          title: Tasks
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
        notes:
          items:
            type: string
          type: array
          title: Notes
        issues:
          items:
            type: string
          type: array
          title: Issues
        segments:
          items:
            $ref: '#/components/schemas/ActionSegmentManifest'
          type: array
          title: Segments
      type: object
      required:
        - available
      title: AnnotationTabManifest
    DatasetTabManifest:
      properties:
        total_episodes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Episodes
        total_frames:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Frames
        modalities:
          items:
            type: string
          type: array
          title: Modalities
        tags:
          items:
            type: string
          type: array
          title: Tags
        split_names:
          items:
            type: string
          type: array
          title: Split Names
        export_count:
          type: integer
          title: Export Count
          default: 0
      type: object
      title: DatasetTabManifest
    ExportTabManifest:
      properties:
        artifacts:
          items:
            $ref: '#/components/schemas/ExportArtifactManifest'
          type: array
          title: Artifacts
      type: object
      title: ExportTabManifest
    CameraManifest:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        channels:
          anyOf:
            - type: integer
            - type: 'null'
          title: Channels
        fps:
          anyOf:
            - type: number
            - type: 'null'
          title: Fps
        codec:
          anyOf:
            - type: string
            - type: 'null'
          title: Codec
        pixel_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Pixel Format
        depth_map:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Depth Map
      type: object
      required:
        - key
        - label
      title: CameraManifest
    StateSpaceManifest:
      properties:
        key:
          type: string
          title: Key
        dimension:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dimension
        names:
          items:
            type: string
          type: array
          title: Names
        fps:
          anyOf:
            - type: number
            - type: 'null'
          title: Fps
      type: object
      required:
        - key
      title: StateSpaceManifest
    ActionSpaceManifest:
      properties:
        key:
          type: string
          title: Key
        dimension:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dimension
        names:
          items:
            type: string
          type: array
          title: Names
        fps:
          anyOf:
            - type: number
            - type: 'null'
          title: Fps
      type: object
      required:
        - key
      title: ActionSpaceManifest
    SpatialViewManifest:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        kind:
          type: string
          enum:
            - robot_scene
            - end_effector_pose
          title: Kind
        status:
          type: string
          enum:
            - planned
            - unavailable
            - published
          title: Status
          default: planned
        description:
          type: string
          title: Description
        required_assets:
          items:
            type: string
          type: array
          title: Required Assets
        trajectory_points:
          anyOf:
            - items:
                items:
                  type: number
                type: array
              type: array
            - type: 'null'
          title: Trajectory Points
      type: object
      required:
        - key
        - label
        - kind
        - description
      title: SpatialViewManifest
    ActionSegmentManifest:
      properties:
        start_frame:
          type: integer
          title: Start Frame
        end_frame:
          type: integer
          title: End Frame
        start_sec:
          anyOf:
            - type: number
            - type: 'null'
          title: Start Sec
        end_sec:
          anyOf:
            - type: number
            - type: 'null'
          title: End Sec
        hand:
          anyOf:
            - type: string
              enum:
                - left
                - right
                - both
            - type: 'null'
          title: Hand
        action:
          type: string
          title: Action
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
      type: object
      required:
        - start_frame
        - end_frame
        - action
      title: ActionSegmentManifest
    ExportArtifactManifest:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        kind:
          type: string
          title: Kind
        access:
          type: string
          title: Access
        href:
          anyOf:
            - type: string
            - type: 'null'
          title: Href
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - key
        - label
        - kind
        - access
      title: ExportArtifactManifest

````